SPIP-Contrib

SPIP-Contrib

عربي | Deutsch | English | Español | français | italiano | Nederlands

286 Plugins, 197 contribs sur SPIP-Zone, 221 visiteurs en ce moment

Accueil > Vie de SPIP et autour de SPIP > SPIP-core > Essayez SPIP 2.1-RC

Essayez SPIP 2.1-RC

19 mars 2010 – par Cerdic – 81 commentaires

Toutes les versions de cet article : [français] [italiano]

18 votes

Ceci est une ARCHIVE, peut-être périmée. Vérifiez bien les compatibilités !

La version Release Candidate de SPIP est sortie de la forge.

Essayez-là et commencez à l’utiliser pour nous aider à régler les derniers petits détails qui nous auraient échappés !

Installation manuelle

Une fois le fichier zip ci-joint téléchargé sur votre ordinateur, vous devrez le décompresser, puis installer l’ensemble, par FTP, sur votre site.

Installation automatique

Récupérez le fichier spip_loader.php (ci-joint) et recopiez-le dans le répertoire où vous voulez installer SPIP (à la racine de votre site Web, par exemple).

Ensuite appelez ce fichier depuis votre navigateur Web
spip_loader.php?chemin=spip/dev/SPIP-branche-2.1.zip
et attendez que le chargement se termine.

Si la procédure échoue, vous devrez effectuer l’installation manuelle à partir du paquet ci-dessus.

Dernière modification de cette page le 27 juillet 2015

Retour en haut de la page

Tout afficher

Vos commentaires

  • Le 4 avril 2010 à 18:38, par sagc En réponse à : Essayez SPIP 2.1-RC

    J’ai un message d’erreur du plugins spipliste :
    Fatal error : Call to undefined function plugin_get_infos() in /home/www/sagc/www/plugins/auto/spip-listes_1_9_3/inc/spiplistes_api_presentation.php on line 871

    et le plugins GuestBook et marqué en erreur dans les plugins (alors qu’il fonctionne très bien)

    Sinon tous va bien et elle est très stable

    • Le 16 août 2011 à 20:20, par clotilde En réponse à : Essayez SPIP 2.1-RC

      Salut,
      tu as réussi a résoudre ton probleme avec la fonction ’plugin_get_infos’ ou pas ??? J4ai le meme souci et je n’arrive pas a corriger le probleme...
      Merci

    • Le 5 janvier 2012 à 18:04, par Bertrand Degoy En réponse à : Essayez SPIP 2.1-RC

      La fonction a changé de nom en 2.1.

      Dans Spip Listes version 1.9.3 (build 2.0109),
      dans spiplistes_api_presentation.php, ligne 871, remplacer :
      $info = plugin_get_infos(spiplistes_get_meta_dir($prefix)) ;

      Par :

      $get_infos = defined(’_SPIP20100’) ?charger_fonction(’get_infos’,’plugins’) :’plugin_get_infos’ ;
      $info = $get_infos(spiplistes_get_meta_dir($prefix)) ;

    Répondre à ce message

  • Le 28 mars 2010 à 15:53, par Sylvain En réponse à : Essayez SPIP 2.1-RC

    Par contre, j’ai une erreur quand j’essaie d’administrer le plugin Lecteur multimedia :
    Call to undefined function plugin_get_infos()
    [Edit] : Résolu en cherchant dans le couteau suisse (Merci Pat, en plus on apprend en utilisant cet outil !)
    ligne rajoutée :
    _$get_infos = defined(’_SPIP20100’) ?charger_fonction(’get_infos’,’plugins’) :’plugin_get_infos’ ;

    Mais ensuite une autre fonction n’est pas définie :
    affiche_bloc_plugin

    Cette fonction a changé de nom ?

    Je peux remplacer par quoi ?

    • Le 7 avril 2010 à 19:46, par RealET En réponse à : Essayez SPIP 2.1-RC

      Elle n’a pas changé de nom, elle a juste été déplacée.

      Je viens de commiter les correctifs.

    • Le 16 août 2011 à 19:49, par clotilde En réponse à : Essayez SPIP 2.1-RC

      Salut,

      @sylvain : J’ai pas compris où il faut que je rajoute la ligne dont tu parles. Est ce que tu peux etre un peu plus précis ?

      @RealET : ca veut dire quoi qu’une fonction est déplacée ? On fait comment pour la remettre a sa place ?

      Merci pour une blonde qui s’accroche !

    Répondre à ce message

  • Le 13 avril 2010 à 11:54, par tutle En réponse à : Essayez SPIP 2.1-RC

    Je viens de mettre la 2.1 et plusieurs mauvaises surprises :
    spipbb ne fonctionne plus

    et par ailleurs j’ai ce message d’erreur

    Parse error : syntax error, unexpected ’&’ in /home/collectf/public_html/elemac.fr/ecrire/public/assembler.php(604) : eval()’d code on line 21

    je cherche le plugin responsable.....

    • Le 21 janvier 2011 à 15:10, par Kristoff23 En réponse à : Essayez SPIP 2.1-RC

      J’ai le même problème ici .

      Voir en bas de page : Parse error : syntax error, unexpected ’ ?’ in /home/cilal/public_html/ccsf.cilal.net/ecrire/public/assembler.php(606) : eval()’d code on line 30

      Cela est arrivé depuis que j’ai mis spip à jour . j’ai dû mettre à jour de nombreux plugins .

      Je suis allé voir le fichier assembler.php , en voilà un morceau :

      1. // http://doc.spip.org/@assembler
      2. function assembler($fond, $connect='') {
      3.  
      4. global $flag_preserver,$lastmodified, $use_cache, $contexte;
      5.  
      6. $contexte = calculer_contexte();
      7. $page = array('contexte_implicite'=>calculer_contexte_implicite());
      8. $page['contexte_implicite']['cache'] = $fond . preg_replace(',\.[a-zA-Z0-9]*$,', '', preg_replace('/[?].*$/', '', $GLOBALS['REQUEST_URI']));
      9. // Cette fonction est utilisee deux fois
      10. $cacher = charger_fonction('cacher', 'public');
      11. // Les quatre derniers parametres sont modifies par la fonction:
      12. // emplacement, validite, et, s'il est valide, contenu & age
      13. $res = $cacher($GLOBALS['contexte'], $use_cache, $chemin_cache, $page, $lastmodified);
      14. // Si un resultat est retourne, c'est un message d'impossibilite
      15. if ($res) {return array('texte' => $res);}
      16.  
      17. if (!$chemin_cache || !$lastmodified) $lastmodified = time();

      Télécharger

      la ligne 30 est une ligne de commentaire : // Cette fonction est utilisee deux fois

      Si quelqu’un voit, il en sera remercié .

      PS : Tiens , mon gravatar ne s’affiche plus ?!

    Répondre à ce message

  • Le 20 mai 2010 à 09:04, par vault101 En réponse à : Essayez SPIP 2.1-RC

    Bonjour à tous,

    J’utilise la version 2.1 de spip avec le squelette sarkaspip 3 et depuis quelques jours j’ai de très gros soucis avec la page de gestion des plugins : ils n’apparaissent plus. Il y a les onglets, le nombre de plugins installés ou présents mais rien dans la liste. La page se charge sans rien.

    Auriez vous des pistes pour m’aider à rétablir cela.

    Par avance, je vous en remercie.

    JP

    PNG - 523.3 ko
    • Le 8 juin 2010 à 11:49, par Jean-Charles En réponse à : Essayez SPIP 2.1-RC

      Bonjour,

      J’ai eu le même souci.
      Résolu depuis que j’ai ajouté une ligne dans le fichier htaccess, à la racine du site :

      AddType x-mapp-php5 .php

      qui permet d’utiliser la dernière version de php 5 (chez 1and1).
      Bon courage à toi
      A+

    • Le 26 novembre 2010 à 13:07, par ? En réponse à : Essayez SPIP 2.1-RC

      Merci beaucoup Jean-Charles, je me heurtais exactement au même problème sur mon petit site que j’essaie -difficilement- de migrer sous spip pour plus de simplicité (je gère actuellement tout manuellement). ça fait des heures que je cherchais la solution (je suis chez nfrance comme hebergeur, sur un petit mutualisé).

      Allez, ça avance !

    Répondre à ce message

  • Le 8 avril 2010 à 18:04, par Paladin En réponse à : Essayez SPIP 2.1-RC

    Call to undefined function plugin_get_infos()

    En effet, déplacée. Ainsi que ajax_retour(). Je viens de corriger SL dans ce sens.

    Au fait, lorsque je fais un « répondre... » dans ce forum, le textarea apparaît via ajax. Si dans ce bloc je sélectionne du texte et clic sur le bouton quote, ça recharge complètement la page et le formulaire est à rechercher en bas de page. Curieux ! Un évènement oublié ?

    • Le 8 avril 2010 à 18:07, par Paladin En réponse à : Essayez SPIP 2.1-RC

      Suite de la remarque sur « répondre ... ». J’ai l’impression que la rupture (lors du clic sur la barre typo) fait perdre le fil de la discussion (le message n’apparaît pas en suite du fil).

    • Le 8 avril 2010 à 18:08, par Paladin En réponse à : Essayez SPIP 2.1-RC

      Confirmé !

    • Le 10 avril 2010 à 17:18, par romilou En réponse à : Essayez SPIP 2.1-RC

      Bonjour,

      je vois que tu parles de « Call to undefined function plugin_get_infos() » dans spip listes.
      J’ai cette erreur mais je ne comprends pas bien ce qu’il faut faire pour résoudre le problème, pourrais-tu me dire ce que je dois faire ?

    • Le 10 avril 2010 à 17:24, par Maïeul En réponse à : Essayez SPIP 2.1-RC

      a, ca je connais le pb ! j’essaie de résoudre le pb et te préviens quand c’est bon et compatible 2.1

    • Le 10 avril 2010 à 17:40, par Maïeul En réponse à : Essayez SPIP 2.1-RC

      avez vous bien la dernière version à jour du plugin ? parceque normalemt c’est censé marché avec la toute dernier

    • Le 10 avril 2010 à 17:45, par romilou En réponse à : Essayez SPIP 2.1-RC

      J’ai spip_liste_1_9_3, y a t’il une version plus récente ?
      Je viens de voir que quand je vais dans la gestion des plugins sur mon espace privé, je n’ai plus la liste de mes plugins mais un message d’erreur :
      Fatal error : Call to undefined function : plugin_get_infos() in /homez.184/ujsfnorm/www/plugins/pages/base/pages_installation.php on line 17

    • Le 10 avril 2010 à 17:48, par Maïeul En réponse à : Essayez SPIP 2.1-RC

      a , oui mais non

      en fait il peut y avoir plusieur version de spip liste 193. essaiyer de récuperer le dernier zip et de le mettre

    • Le 10 avril 2010 à 17:50, par Cerdic En réponse à : Essayez SPIP 2.1-RC

      c’est le plugin « pages uniques » qui est en cause, là, pas spip-listes.

    • Le 10 avril 2010 à 17:50, par romilou En réponse à : Essayez SPIP 2.1-RC

      D’accord, je fais ça et je vous redis si c’est bon. Merci

    • Le 10 avril 2010 à 17:55, par romilou En réponse à : Essayez SPIP 2.1-RC

      Bah j’ai des problèmes avec les 2 du coup... vous êtes aussi spécialiste du plugin page unique ?

    • Le 10 avril 2010 à 18:09, par Maïeul En réponse à : Essayez SPIP 2.1-RC

      merci cerdic, je devrai mieux lire les messages :)

      pour romilou : le plugin page a été mise à jour , téléchargez le dernier zip

    • Le 10 avril 2010 à 20:40, par romilou En réponse à : Essayez SPIP 2.1-RC

      Merci beaucoup, avec les dernières versions de spip-listes et pages uniques, ça marche nickel. C’est vraiment gentil d’avoir pris le temps de me répondre et ça m’a bien aidée. Bonne soirée à vous.

    Répondre à ce message

  • Le 9 avril 2010 à 18:27, par Bernard S. En réponse à : Essayez SPIP 2.1-RC

    Après avoir installé le plugin « inscription2 », voilà le message qui apparaît sur l’écran dans la partie publique :

    Warning : Invalid argument supplied for foreach() in C :\wamp\www\spip.2.1\plugins\auto\inscription2_192\inscription2_mes_options.php on line 24

    Répondre à ce message

  • Le 8 avril 2010 à 18:25, par Paladin En réponse à : Essayez SPIP 2.1-RC

    Erreur rencontrée sur le pack récupéré ici aujourd’hui :

    Lorsque /ecrire/ ?exec=config_fonctions
    dans le log :

    include(lang/spip_fr.php) [function.include] : failed to open stream : No such file or directory...

    Important ?

    En tout cas pas bloquant.

    PS : ne serait-il pas plus ( raisonnable | efficace ) d’utiliser un svn update pour suivre les corrections ?

    • Le 8 avril 2010 à 18:33, par Cerdic En réponse à : Essayez SPIP 2.1-RC

      Le fichier est bien dans le zip, c’est sans doute ton transfert par ftp qui a oublié des fichiers.

    • Le 9 avril 2010 à 06:53, par Paladin En réponse à : Essayez SPIP 2.1-RC

      Je complète :

      Lorsque /ecrire/ ?exec=config_fonctions (c’est le bouton Configurations>Fonctions avançées)
      dans le log :

      include() [function.include] : Failed opening ’lang/ecrire_fr.php’ for inclusion (include_path=’. :/Applications/MAMP/bin/php5/lib/php’) in /usr/local/www/book/ecrire/inc/traduire.php on line 37

      Et le ftp en question, c’est le pack FTP de cette page. Et le fichier y est bien.

      Ressemble à une erreur de chemin (path).

      Autre précision : Message d’erreur également sur manque de mémoire, toujours pour cette même page :

      PHP Fatal error : Allowed memory size of 67108864 bytes exhausted (tried to allocate 10316 bytes) in /usr/local/www/book/ecrire/inc/filtres_images_lib_mini.php on line 251

      Après correction du memory_limit, plus aucun message d’erreur.

      Peut-être que la première (fichier manquant) avait comme condition la seconde ?

    Répondre à ce message

  • Le 2 avril 2010 à 09:57, par samsam En réponse à : Essayez SPIP 2.1-RC

    Bonjour, et merci encore pour le formidable travail réalisé avec spip.
    J’ai l’impression que les boucles dans les css passant par le moteur de spip ne fonctionnent plus sous spip 2.1,
    par exemple cette boucle :

    1. <BOUCLE_chargement(RUBRIQUES){tout}>
    2. #fond_rubrique_#ID_RUBRIQUE{
    3. background: url([IMG/(#LOGO_RUBRIQUE_NORMAL|fichier)]) no-repeat 0px 0px transparent;
    4. }
    5. </BOUCLE_chargement>

    Télécharger

    `
    Fonctionne sous spip 2.01 mais pas avec spip 2.1
    Par contre, les #SET, et autres #GET fonctionnent eux normalement.
    ...
    Avez-vous rencontré ce problème ? est-il identifié ?

    Répondre à ce message

  • Le 29 mars 2010 à 00:54, par dglaude En réponse à : Essayez SPIP 2.1-RC

    [Hors sujet]

    Bonjour Sylvain,

    A propos de :

    J’utilise beaucoup les variables #LANG et #ENV lang pour tester et afficher quelque chose selon le résultat du test avec un $_GET[’lang’] fixé dans mes_options.php selon le nom de domaine et ce $_GET[’lang’] ne semble pas être pris en compte.

    peux-tu élaboré ta technique par exemple en indiquant une remarque dans la page suivante : http://www.spip-contrib.net/MultilinguismeExemple6 (en particulier pour comparer avec l’Idée N°3).

    Merci d’avance

    Répondre à ce message

  • Le 28 mars 2010 à 14:43, par Sylvain En réponse à : Essayez SPIP 2.1-RC

    Hello,

    j’ai essayé une mise à jour depuis 2.0.10 et il a fallu que je supprime mon vieux fichier connect.php (spip_connect_version = 0.4) pour pouvoir me connecter à l’admin, je ne sais pas si c’est normal...

    J’ai un petit souci avec mes squelettes : j’utilise beaucoup les variables #LANG et #ENVlang pour tester et afficher quelque chose selon le résultat du test avec un $_GET[’lang’] fixé dans mes_options.php selon le nom de domaine et ce $_GET[’lang’] ne semble pas être pris en compte.
    Quelque chose a changé dans l’utilisation de ces variables ?

    Beau boulot !

    • Le 28 mars 2010 à 15:48, par Sylvain En réponse à : Essayez SPIP 2.1-RC

      Hum, autant pour moi, une erreur de frappe dans mon fichier...
      Pour mes problèmes sur le $_GET[’lang’], c’était donc une erreur de ma part...

      Désolé pour le bruit

    Répondre à ce message

Répondre à cet article

Qui êtes-vous ?

Pour afficher votre trombine avec votre message, enregistrez-la d’abord sur gravatar.com (gratuit et indolore) et n’oubliez pas d’indiquer votre adresse e-mail ici.

Ajoutez votre commentaire ici Les choses à faire avant de poser une question (Prolégomènes aux rapports de bugs. )
Ajouter un document

Retour en haut de la page

Ça discute par ici

  • Acces Restreint 3.0

    11 décembre 2008 – 784 commentaires

    Le plugin accès restreint permet de définir et de gérer des zones de l’espace public en accès restreint. Cette version du plugin a été redévelopée et optimisée tout spécialement pour SPIP 2.0. Il en découle une amélioration des performances sur les gros (...)

  • Champs Extras 3

    16 janvier 2012 – 538 commentaires

    Ce plugin permet de créer et/ou de gérer des champs supplémentaires dans les objets éditoriaux de SPIP. Il permet donc de prendre en compte et d’afficher de nouveaux éléments dans n’importe quel objet éditorial de SPIP. Screencast Vous n’aimez pas (...)

  • Réservation d’événements

    16 mars 2015 – 190 commentaires

    Ce plugin permet d’offrir aux visiteurs de s’inscrire pour un évènement du plugin Agenda et de gérer les réservations enregistrées. Installation Le plugin s’installe comme n’importe quel plugin. il nécessite : Agenda API de vérification (...)

  • Les crayons

    23 avril 2008 – 815 commentaires

    Ce plugin permet d’éditer les contenus sur les pages publiques du site, sans passer par l’espace privé de SPIP.

  • LESS pour SPIP : Less-CSS (anciennement LESSpip)

    5 novembre 2010 – 43 commentaires

    Less-CSS (Anciennement LESSpip) est un plugin intégrant facilement le logiciel LESS dans SPIP. LESS est une extension de CSS ajoutant les variables, les classes, les opérations, les imbrications au langage. Facilitant ainsi l’écriture de (...)

Ça spipe par là